메인 콘텐츠로 건너뛰기
POST
/
2
/
media
/
subtitles
미디어 자막 생성
curl --request POST \
  --url https://api.x.com/2/media/subtitles \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "1146654567674912769",
  "media_category": "TweetVideo",
  "subtitles": {
    "display_name": "English",
    "id": "1146654567674912769",
    "language_code": "EN"
  }
}
'
{
  "data": {
    "associated_subtitles": [
      {
        "display_name": "English",
        "id": "1146654567674912769",
        "language_code": "EN"
      }
    ],
    "id": "1146654567674912769",
    "media_category": "TweetVideo"
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

인증

Authorization
string
header
필수

The access token received from the authorization server in the OAuth 2.0 flow.

본문

application/json
id
string

이 미디어의 고유 식별자입니다.

Pattern: ^[0-9]{1,19}$
예시:

"1146654567674912769"

media_category
enum<string>

자막을 추가하거나 삭제하려는 업로드된 미디어의 카테고리입니다.

사용 가능한 옵션:
AmplifyVideo,
TweetVideo
예시:

"TweetVideo"

subtitles
object

응답

요청이 성공했습니다.

data
object
errors
object[]
Minimum array length: 1

IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체